_RtpStream Struct Reference

## Data Fields

OrtpStream | gs
int | time_jump
uint32_t | ts_jump
queue_t | rq
queue_t | tev_rq
void * | QoSHandle
unsigned long | QoSFlowID
JitterControl | jittctl
uint32_t | snd_time_offset
uint32_t | snd_ts_offset
uint32_t | snd_rand_offset
uint32_t | snd_last_ts
uint16_t | snd_last_nack
uint32_t | rcv_time_offset
uint32_t | rcv_ts_offset
uint32_t | rcv_query_ts_offset
uint32_t | rcv_last_ts
uint16_t | rcv_last_seq
uint16_t | snd_seq
uint32_t | rcv_last_app_ts
uint32_t | rcv_last_ret_ts
uint32_t | hwrcv_extseq
uint32_t | hwrcv_seq_at_last_SR
uint32_t | hwrcv_since_last_SR
uint32_t | last_rcv_SR_ts
struct timeval | last_rcv_SR_time
uint32_t | last_rtcp_packet_count
uint32_t | sent_payload_bytes
int | recv_errno
int | send_errno
int | snd_socket_size
int | rcv_socket_size
int | ssrc_changed_thres
jitter_stats_t | jitter_stats
struct _OrtpCongestionDetector * | congdetect
struct _OrtpVideoBandwidthEstimator * | video_bw_estimator
struct _OrtpAudioBandwidthEstimator * | audio_bw_estimator
ortp_thread_t | win_t
volatile bool_t | is_win_thread_running
ortp_mutex_t | winthread_lock
queue_t | winrq
ortp_mutex_t | winrq_lock

The documentation for this struct was generated from the following file:

- rtpsession.h